@import "critical.scss";
@import "searchbox.scss";
@import "widehome.scss";

#home-categories {
    > nav > .cat {
        border: none;
        display: flex;
        flex-wrap: wrap;
        @media (max-width: 640px) {
            border: 0;
            > li {
                border-right: 0;
            }
        }
        @media (min-width: 640px) {
            > li {
                width: 50%;
            }
        }
        @media (min-width: 900px) {
            > li {
                width: 33.33333%;
            }
        }
    }
    .cat {
        margin: 2em 0 0; padding: 0; list-style: none;
        > li {
            > div {
                margin: 0;
                line-height: 1.2;
                > a {
                    display: block;
                    padding: 1em 0;
                    @media (min-width: 480px) {
                        padding: 1em;
                    }
                    &:hover {
                        .desc {
                            color: var(--text-color);
                        }
                        text-decoration: none;
                        h3, h4 {
                            text-decoration: underline;
                        }
                    }
                }
            }
            box-sizing: border-box;
            display: block;
            border: none;
            margin: 0;
            padding: 0;
        }
        h3, h4 {
            font-size: 1.25em;
            margin: 0 0.25ex 0 0;
            display: inline;
        }
        .desc {
            display: inline;
            margin-top: 0;
            font-size: 0.9em;
            color: lighten($text-color, 30%);
            @include dark {
                color: lighten($dark-text-color, 0%);
            }
            font-weight: 300;
        }
    }
    .crates {
        a:not(:hover):not(:focus) {
            &:link {
                color: #019;
            }
            &:visited {
                color: #551a8b;
            }
        }
        @include dark {
            a:not(:hover):not(:focus) {
                &:link {
                    color: $dark-link-color;
                }
                &:visited {
                    color: $dark-visited-link-color;
                }
            }
        }

        margin: 0 0 1em;
        @media (min-width: 480px) {
            margin: 0 1em 1em;
        }

        padding: 0; list-style: none;
        > li {
            display: inline;
            &:not(:last-child)::after {
                content: ", ";
            }
        }
    }
}

